| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonUpdateCallback Struct Reference

This is a callback function of a skeleton. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonUpdateCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | Execute (iSkeleton *skeleton, const csTicks &current_ticks)=0
| General skeleon update callback.

## Detailed Description

This is a callback function of a skeleton.

It is called every time when skeleton is updated.

Definition at line 343 of file skeleton.h.

## Member Function Documentation

virtual void iSkeletonUpdateCallback::Execute | ( | iSkeleton * | skeleton,
|  | const csTicks & | current_ticks |
| ) |  |  | `[pure virtual]`

General skeleon update callback.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h